Mentioned on the Slack channel but I think for future searches targeting Valet and multi-locale this piece of advise is quite important ;)

For a correct working version of Valet on multi-locale sites: in your ~/.composer/composer.json change the valet version to dev-master and run composer global update laravel/valet

Answered by Jason Varga! Go to answer.